curl --request PATCH \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dateDue": "2023-11-07T05:31:56Z",
"providers": [
{
"type": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}"
payload = {
"dateDue": "2023-11-07T05:31:56Z",
"providers": [
{
"type": "<string>",
"id": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateDue: '2023-11-07T05:31:56Z',
providers: [{type: '<string>', id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"beginIndex": 123,
"continuous": true,
"continuousJobInfo": {
"dateUpdated": "2023-11-07T05:31:56Z"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"endIndex": 123,
"filename": "<string>",
"importStatus": {
"errorMessage": "<string>",
"status": "RUNNING"
},
"imported": true,
"innerId": "<string>",
"isParentJobSplit": true,
"jobReference": {
"filename": "<string>",
"uid": "<string>"
},
"lastWorkflowLevel": 123,
"originalFileDirectory": "<string>",
"project": {
"name": "<string>",
"uid": "<string>"
},
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"serverTaskId": "<string>",
"sourceLang": "<string>",
"status": "NEW",
"targetLang": "<string>",
"uid": "<string>",
"updateSourceDate": "2023-11-07T05:31:56Z",
"updateTargetDate": "2023-11-07T05:31:56Z",
"wordsCount": 123,
"workUnit": {},
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"name": "<string>",
"order": 123,
"workflowLevel": 123
}
}Patch job (assign provider, due date, status)
This API call allows for partial updates to jobs, modifying specific fields without overwriting those not included in the update request.
Differing from Edit job, this call employs a PATCH method, updating only the provided fields without altering others. It’s beneficial when editing a subset of supported fields is required.
The call supports the editing of status, due date, and providers. When editing providers, it’s essential to submit both the ID of the provider and its type (either VENDOR or USER).
The response will provide a subset of information from Get job.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
Subset of job fields to update
Response
OK
Index of the first segment of this part within the original job
When true, this is a continuous job
Show child attributes
Show child attributes
Date and time the job was created
Due date of the job; null if not set
Index of the last segment of this part within the original job
Original filename of the job
Show child attributes
Show child attributes
When true, the file has been imported successfully
InnerId is a sequential number of a job in a project. Jobs created from the same file share the same innerId across workflow steps.
Whether the job originates from a split
Show child attributes
Show child attributes
Highest workflow step level in the project
Directory path of the original source file
Show child attributes
Show child attributes
Providers assigned to the job. This field is empty for callers without linguist visibility and does not reflect actual job assignment - it is not a reliable way to check whether anyone is assigned. To check your own assignment, use GET /api2/v1/users/{userUid}/jobs instead.
Show child attributes
Show child attributes
Identifier of the server-side import task
Source language code
Current status of the job
NEW, ACCEPTED, DECLINED, REJECTED, DELIVERED, EMAILED, COMPLETED, CANCELLED Target language code
Unique identifier used in API paths
Date and time the source was last updated; null if never updated
Date and time the target was last updated; null if never updated
Number of words in the job
Workflow step level of this job (1-based)
Show child attributes
Show child attributes
Was this page helpful?